Keystone Developers
Open Keystone
API reference

Internal API

Website generation

2 endpoints.

POST/api/v1/internal/website-gen/callback

Post Website Gen Callback

Record the generator's outcome for a website.

Parameters

NameInTypeDescription
x-internal-api-keyheaderstring | null
X-Keystone-Run-Tokenheaderstring | null

Request bodyrequired

application/jsonWebsiteGenCallbackRequest
FieldTypeDescription
website_idrequiredstring (uuid)
gen_exitrequiredinteger
run_idstringdefault ""
errorstringdefault ""
modestringdefault ""
revisioninteger | null
checkpoint_shastring | null
agent_replystring | null
generator_versionstringdefault ""
prompt_versionstringdefault ""
model_usedstringdefault ""

Responses

200Successful Response
application/jsonSuccessResponse_dict_str__Any__
FieldTypeDescription
request_idrequiredstring
successtruedefault true
datarequiredobject
metadataResponseMetadata | null
ResponseMetadata fields
FieldTypeDescription
paginationPaginationMetadata | null
PaginationMetadata fields
FieldTypeDescription
limitrequiredinteger
next_cursorstring | null
prev_cursorstring | null
has_morerequiredboolean
has_prevbooleandefault false
total_countinteger | null
status_countsobject | null
object | null fields

Map of string to integer

lifecycle_countsLifecycleCounts | null
LifecycleCounts fields
FieldTypeDescription
leadintegerdefault 0
prospectintegerdefault 0
customerintegerdefault 0
former_customerintegerdefault 0
classification_countsClassificationCounts | null
ClassificationCounts fields
FieldTypeDescription
signalobject
object fields

Nested object (not expanded)

touchobject
object fields

Nested object (not expanded)

stageobject
object fields

Nested object (not expanded)

metaResponseMeta | null
ResponseMeta fields
FieldTypeDescription
totalinteger | null
total_countinteger | null
pageinteger | null
per_pageinteger | null
  • 400Bad request
  • 401Unauthorized
  • 403Forbidden
  • 404Not found
  • 422Validation error
  • 500Internal server error
  • 503Service unavailable

Error bodies: ErrorResponse. See Errors.

POST/api/v1/internal/website-gen/github-token

Post Website Gen Github Token

A fresh installation token scoped to the run's one repository, while the run is live (409 ``RUN_NOT_LIVE`` otherwise). Replaces handing the run the GitHub App private key (``website_gen_token_vending_enabled``).

Parameters

NameInTypeDescription
X-Keystone-Run-Tokenheaderstring | null

Request bodyrequired

application/jsonWebsiteGenGithubTokenRequest
FieldTypeDescription
accessrequiredenumone of "read", "write"

Responses

200Successful Response
application/jsonSuccessResponse_dict_str__Any__
FieldTypeDescription
request_idrequiredstring
successtruedefault true
datarequiredobject
metadataResponseMetadata | null
ResponseMetadata fields

ResponseMetadata, expanded above.

metaResponseMeta | null
ResponseMeta fields

ResponseMeta, expanded above.

  • 400Bad request
  • 401Unauthorized
  • 403Forbidden
  • 404Not found
  • 422Validation error
  • 500Internal server error
  • 503Service unavailable

Error bodies: ErrorResponse. See Errors.